%define rbname zoom
%define version 0.2.0
%define release %mkrel 3

Summary: Ruby binding to the Z39.50 Object-Orientation Model
Name: ruby-%{rbname}

Version: %{version}
Release: %{release}
Group: Development/Other
License: LGPL
URL: http://ruby-zoom.rubyforge.org/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-devel 
BuildRequires: yaz-devel tcp_wrappers-devel

%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')

%description
Ruby/ZOOM provides a Ruby binding to the Z39.50 Object-Orientation Model
(ZOOM), an abstract object-oriented programming interface to a subset of the
services specified by the Z39.50 standard, also known as the international
standard ISO 23950.

This software is based (and therefore depends) on YAZ, a free-software
implementation of the Z39.50/SRW/SRU standards, but could be easily ported
to any ZOOM compliant implementation.

%prep
%setup -q
rm -f doc/rd/Ruby%2FLibburn doc/.cvsignore doc/gendoc.sh

%build
ruby extconf.rb
make CFLAGS="-O1 -fPIC"

%install
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog README doc sample
%{ruby_archdir}/%{rbname}.so
%{ruby_libdir}/marc.rb

%changelog
* Fri Sep 02 2005 Pascal Terjan <pterjan@mandriva.org> 0.2.0-3mdk
- add -fPIC

* Mon Aug 21 2005 Pascal Terjan <pterjan@mandriva.org> 0.2.0-2mdk
- rebuild with -O1 (segfault with -O2)

* Tue Aug 16 2005 Pascal Terjan <pterjan@mandriva.org> 0.2.0-1mdk
- 0.2.0

* Sun Jun 19 2005 Pascal Terjan <pterjan@mandrake.org> 0.1.0-3mdk
- fix BuildRequires

* Sat Apr 09 2005 Pascal Terjan <pterjan@mandrake.org> 0.1.0-2mdk
- fix BuildRequires

* Fri Mar 18 2005 Pascal Terjan <pterjan@mandrake.org> 0.1.0-1mdk
- First version of the package 
